1

I want to run SheepShaver PowerPC Mac emulator on my Ubuntu 16.04 LTS desktop.

How can I compile and run it?

1

One should install build-dependencies and development packages:

sudo apt-get install build-essential git
sudo apt-get install libgtk2.0-dev x11proto-xf86dga-dev \
libesd0-dev libxxf86dga-dev libxxf86dga1 libsdl1.2-dev 

Note: the libesd0-dev package is not available for Ubuntu 18.04 LTS.

Then clone official repository of the project and compile the application:

cd ~/Downloads
git clone https://github.com/cebix/macemu.git
cd macemu/SheepShaver
make links

cd src/Unix/
./autogen.sh
make -j3

Afterwards run it with ./SheepShaver, and you will get the following window:

SheepShaver under Ubuntu 16.04 LTS

  • Tried in Ubuntu 18.0.4, but does not work. One of the listed packages is not available "E: Unable to locate package libesd0-dev", and the program itself crashes: "SheepShaver V2.4 by Christian Bauer and Mar"c" Hellwig ERROR: Cannot map Low Memory Globals: Operation not permitted. X Error of failed request: BadValue (integer parameter out of range for operation) Major opcode of failed request: 105 (X_ChangePointerControl) Value in failed request: 0x0 Serial number of failed request: 9 Current serial number in output stream: 10" – wmakley Jan 7 at 14:14
  • Tried on clean 18.04 LTS - it compiles and runs successfully. I do not have ROMs, so I can't test further. – N0rbert Jan 7 at 15:00

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.